centos 7.0下 PHP5.4升级PHP7.3

由于无法直接从PHP5.4升级PHP7.3,忙活大半晚上将PHP手动升级了
重要tips:为防止误操作,提前快照备份
以下为过程简略记录

  • 1.原来配置是PHP5.4,根据wordprss官网最新系统环境requirement指南要求需升级PHP至7.3版;
To run WordPress we recommend your host supports:
PHP version 7.3 or greater.
MySQL version 5.6 or greater OR MariaDB version 10.1 or greater.
HTTPS support
------------------------------
系统环境:centos7.0 ×64 
  • 2.PHP官网下载PHP7.3源码, tar zxvf 解压,./configure编译安装,提示libzip版本过低;
https://www.php.net/downloads.php
./configure +参数
make && make install

阅读更多centos 7.0下 PHP5.4升级PHP7.3

点击数:171

关于wordpress登陆页面出现错误提示“You don’t have permission to access wp-login.php”的解决方法

问题:

昨天开始登陆wordpress时,打开登陆页面出现错误提示“ You don’t have permission to access /k**n/wp-login.php ”,怎么回事

解决:

1、网搜问题后初步判断是“.htaccess”文件出现问题了,参考:

https://wordpress.org/support/topic/you-dont-have-permission-to-access-blogwp-loginphp-on-this-server/

2、解决方案有:

①FTP连接,使用备份文件覆盖现有wordpress根目录下的“.htaccess”文件(隐藏文件);

阅读更多关于wordpress登陆页面出现错误提示“You don’t have permission to access wp-login.php”的解决方法

点击数:118

关于Apache服务器禁止使用IP直接访问的方法

情况说明:服务器开通了虚拟主机,且已配置SSL,使用IP可以直接访问网站 现在通过配置使得只能通过域名来访问网站

具体方法:在httpd-vhosts.conf(对应的虚拟主机配置文件)的配置文件中增加以下内容

<Virtualhost *:80>   
	ServerName XXX.XXX.XXX.XXX	#XXX.XXX.XXX.XXX为服务器IP地址
	<Directory />    
		Order Allow,Deny    
		Deny from all
	</Directory>
</Virtualhost>
<Virtualhost *:443>   
	ServerName XXX.XXX.XXX.XXX	#XXX.XXX.XXX.XXX为服务器IP地址
	<Directory />    
		Order Allow,Deny    
		Deny from all
	</Directory>
</Virtualhost>
#================以上插入至原配置前===============

阅读更多关于Apache服务器禁止使用IP直接访问的方法

点击数:776

LAMP环境下使用acme.sh自动脚本配置Let’s Encrypt SSL证书

  • 简介: 因原赛门铁克(Symantec)SSL证书到期,采用Let’s Encrypt 证书重新配置
  • 服务器配置环境:LAMP(centos7.1 + apcahe2.4)
  • 使用脚本:  Let’s Encrypt 证书自动配置脚本:acme.sh
  • 官方文档:
    • https://github.com/Neilpang/acme.sh/wiki/说明   (以nginx为例)
    • https://github.com/Neilpang/acme.sh/wiki

1.安装acme.sh脚本命令

  • git clone https://github.com/Neilpang/acme.sh.git
  • cd acme.sh
  • ./acme.sh –install (官方文档说脚本会自动创建cronjob,且后续操作所有参数都会被自动记录下来,并在将来再次自动调用更新证书.)
  • alias acme.sh=~/.acme.sh/acme.sh (如使用curl安装,可以alias创建一个bash的创建一个别名,避免无法直接执行acme.sh)

阅读更多LAMP环境下使用acme.sh自动脚本配置Let’s Encrypt SSL证书

点击数:243

返回顶部